# react-native-ui-xep

ui componets

## Installation

```sh
npm install react-native-ui-xep
```

## Usage

```js
import * as React from 'react';
import { StyleSheet, View } from 'react-native';
import { Button, Title, Input } from 'react-native-ui-xep';
import { Container, Content, Form } from 'native-base';

const styles = StyleSheet.create({
  mainContainer: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
    // flexDirection: 'row',
    padding: 30,
    backgroundColor: '#7913fe',
  },
});

export default function App() {
  return (
    <Container style={styles.mainContainer}>
      <Content>
        <Title
          // style={{ marginBottom: 60 }}
          text={'Welcome to Studtor...'}
          type={'one'}
        />
        <Form style={{ width: '100%' }}>
          <Input
            label={'EMAIL'}
            // style={{ marginBottom: 20 }}
            type={'material'}
          />
          <Input label={'Name'}
                 style={{ marginBottom: 20 }}
          />
        </Form>
        <Button style={{ marginBottom: 10 }} type={'primary'} full rounded>
          Click me
        </Button>

        <Button style={{ marginBottom: 10 }} full rounded>
          Click me
        </Button>
        <Button type={'success'} style={{ marginBottom: 10 }} full rounded>
          Click me
        </Button>
        <Button type={'warning'} style={{ marginBottom: 10 }} full rounded>
          Click me
        </Button>
        <Button type={'danger'} style={{ marginBottom: 10 }} full rounded>
          Click me
        </Button>
        <Button type={'transparent'} full rounded>
          Hello
        </Button>
      </Content>
    </Container>
  );
}

```

## License

MIT
